import { createSvgIcon } from "@mui/material/utils";

const RadioCheckedIcon = createSvgIcon(
  <svg
    width="24"
    height="24"
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <rect
      x="0.5"
      y="0.5"
      width="23"
      height="23"
      rx="11.5"
      fill="currentColor"
      stroke="currentColor"
    />
    <path
      d="M18.8042 7.84366L11.8042 17.3437C11.7231 17.4506 11.6216 17.5403 11.5056 17.6077C11.3896 17.6751 11.2613 17.7187 11.1283 17.7361C10.9952 17.7535 10.8601 17.7443 10.7306 17.7091C10.6012 17.6738 10.48 17.6131 10.3742 17.5307L5.37417 13.5307C5.26961 13.4493 5.18225 13.348 5.11718 13.2325C5.05211 13.1171 5.01063 12.9899 4.99514 12.8583C4.97965 12.7267 4.99046 12.5934 5.02696 12.466C5.06345 12.3387 5.12489 12.2198 5.20771 12.1164C5.29052 12.013 5.39307 11.927 5.50938 11.8636C5.6257 11.8001 5.75346 11.7604 5.88525 11.7468C6.01704 11.7331 6.15023 11.7458 6.27709 11.784C6.40394 11.8223 6.52192 11.8854 6.62417 11.9697L10.8112 15.3197L17.1992 6.65566C17.3566 6.44216 17.5924 6.29994 17.8546 6.26027C18.1169 6.22061 18.3842 6.28676 18.5977 6.44416C18.8112 6.60157 18.9534 6.83734 18.9931 7.09961C19.0327 7.36188 18.9666 7.62916 18.8092 7.84266L18.8042 7.84366Z"
      fill="white"
    />
  </svg>,
  "RadioChecked"
);

export default RadioCheckedIcon;
